package com.icomsys.main_vm.biz.rcp.conversation.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * Name : ConversationCmmNodeDiagramVO 
 * date : 2023-02-16 
 * author :  Mong
 * description :
 * ===========================================================
 * DATE                 AUTHOR                NOTE
 * -----------------------------------------------------------
 * 2023-02-16                Mong             최초 생성
 */
@NoArgsConstructor
public class ConversationCmmNodeDiagramVO {
    private Long seq;
    private String textContents;
    private String nodeName;
    private String oprMngCode;

    @Builder
    public ConversationCmmNodeDiagramVO(Long seq, String textContents, String nodeName, String oprMngCode) {
        this.seq = seq;
        this.textContents = textContents;
        this.nodeName = nodeName;
        this.oprMngCode = oprMngCode;
    }

    public Long getSeq() {
        return seq;
    }

    public void setSeq(Long seq) {
        this.seq = seq;
    }

    public String getTextContents() {
        return textContents;
    }

    public void setTextContents(String textContents) {
        this.textContents = textContents;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public String getOprMngCode() {
        return oprMngCode;
    }

    public void setOprMngCode(String oprMngCode) {
        this.oprMngCode = oprMngCode;
    }
}
